招待ではオーナーロールを付与できません

Moses Skodaエンジニア読了目安 1分

APIは、このエラーを422 Unprocessable Contentで返します。typeはhttps://lingo.dev/docs/api/errors/owner-role-not-invitableです。すべてのエラーに共通する形式については、エラーとステータスコードを参照してください。

招待ではオーナーロールを付与できません。別のロールでユーザーを招待し、そのユーザーが招待を承諾してからオーナー権限を譲渡してください。

フィールド#

このエラーに含まれるのは、標準メンバーのみです。

例#

json
{
  "detail": "The Owner role cannot be given through an invitation. Invite the user with another role, then hand off ownership once they have accepted.",
  "type": "https://lingo.dev/docs/api/errors/owner-role-not-invitable",
  "status": 422,
  "title": "Owner role not invitable"
}

このエラーを返すエンドポイント#

  • PATCH /v2/invites/{id}
  • POST /v2/organizations/{orgId}/invites